pcl::recognition::RotationSpaceCell::Entry Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Public Member Functions

| Entry ()
| Entry (const Entry &src)
const Entry & | operator= (const Entry &src)
const Entry & | addRigidTransform (const float axis_angle[3], const float translation[3])
void | computeAverageRigidTransform (float *rigid_transform=nullptr)
const float * | getAxisAngle () const
const float * | getTranslation () const
int | getNumberOfTransforms () const

## Protected Attributes

float | axis_angle_ [3]
float | translation_ [3]
int | num_transforms_

## Detailed Description

Definition at line 61 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

## Entry() [1/2]

pcl::recognition::RotationSpaceCell::Entry::Entry | ( |  | ) |

inline

Definition at line 64 of file rigid_transform_space.h.

References axis_angle_, pcl::recognition::aux::set3(), and translation_.

## Entry() [2/2]

pcl::recognition::RotationSpaceCell::Entry::Entry | ( | const Entry & | src | ) |

inline

Definition at line 71 of file rigid_transform_space.h.

References axis_angle_, pcl::recognition::aux::copy3(), and translation_.

## Member Function Documentation

## addRigidTransform()

const Entry& pcl::recognition::RotationSpaceCell::Entry::addRigidTransform | ( | const float | axis_angle[3],
|  | const float | translation[3]
| ) |  |

inline

Definition at line 88 of file rigid_transform_space.h.

References pcl::recognition::aux::add3(), axis_angle_, num_transforms_, and translation_.

## computeAverageRigidTransform()

void pcl::recognition::RotationSpaceCell::Entry::computeAverageRigidTransform | ( | float * | rigid_transform = `nullptr` | ) |

inline

Definition at line 98 of file rigid_transform_space.h.

References axis_angle_, pcl::recognition::aux::axisAngleToRotationMatrix(), pcl::recognition::aux::copy3(), pcl::recognition::aux::mult3(), num_transforms_, and translation_.

Referenced by pcl::recognition::RotationSpace::getTransformWithMostVotes().

## getAxisAngle()

const float* pcl::recognition::RotationSpaceCell::Entry::getAxisAngle | ( |  | ) | const

inline

Definition at line 118 of file rigid_transform_space.h.

References axis_angle_.

## getNumberOfTransforms()

int pcl::recognition::RotationSpaceCell::Entry::getNumberOfTransforms | ( |  | ) | const

inline

Definition at line 130 of file rigid_transform_space.h.

References num_transforms_.

Referenced by pcl::recognition::RotationSpace::getTransformWithMostVotes().

## getTranslation()

const float* pcl::recognition::RotationSpaceCell::Entry::getTranslation | ( |  | ) | const

inline

Definition at line 124 of file rigid_transform_space.h.

References translation_.

## operator=()

const Entry& pcl::recognition::RotationSpaceCell::Entry::operator= | ( | const Entry & | src | ) |

inline

Definition at line 78 of file rigid_transform_space.h.

References axis_angle_, pcl::recognition::aux::copy3(), num_transforms_, and translation_.

## Member Data Documentation

## axis_angle_

float pcl::recognition::RotationSpaceCell::Entry::axis_angle_[3]

protected

Definition at line 136 of file rigid_transform_space.h.

Referenced by addRigidTransform(), computeAverageRigidTransform(), Entry(), getAxisAngle(), and operator=().

## num_transforms_

int pcl::recognition::RotationSpaceCell::Entry::num_transforms_

protected

Definition at line 137 of file rigid_transform_space.h.

Referenced by addRigidTransform(), computeAverageRigidTransform(), getNumberOfTransforms(), and operator=().

## translation_

float pcl::recognition::RotationSpaceCell::Entry::translation_[3]

protected

Definition at line 136 of file rigid_transform_space.h.

Referenced by addRigidTransform(), computeAverageRigidTransform(), Entry(), getTranslation(), and operator=().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/rigid_transform_space.h